pskc_build_xml(3)

NAME
pskc_build_xml - API function

SYNOPSIS
#include <pskc.h>

int pskc_build_xml(pskc_t * container, char ** out, size_t * len);

ARGUMENTS

pskc_t * container
    a pskc_t handle, from pskc_init().

char ** out
    pointer to output variable to hold newly allocated string.

size_t * len
    output variable holding length of *out.

DESCRIPTION
This function builds a XML file from the data in container. As a convenience, it also converts the XML into a string placed in the newly allocated *out of length len using pskc_output() with PSKC_OUTPUT_XML.

RETURNS
On success, PSKC_OK (zero) is returned, on memory allocation errors PSKC_MALLOC_ERROR is returned.

REPORTING BUGS
Report bugs to <oath-toolkit-help@nongnu.org>. libpskc home page: https://www.nongnu.org/oath-toolkit/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2012-2020 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.